org.apache.maven.lifecycle

## Class Lifecycle

- java.lang.Object
- - org.apache.maven.lifecycle.Lifecycle

    public class Lifecycle
    extends java.lang.Object

Class Lifecycle.

### Constructor Summary

Constructors
Constructor and Description
`Lifecycle()`

### Method Summary

Methods
`void` `addPhase(java.lang.String phase)` Method addPhase
`java.util.Map` `getDefaultPhases()`
`java.lang.String` `getId()` Method getId
`java.util.List` `getPhases()` Method getPhases
`void` `setId(java.lang.String id)` Method setId
`void` `setPhases(java.util.List phases)` Method setPhases

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lifecycle

    public Lifecycle()

### Method Detail

#### addPhase

    public void addPhase(java.lang.String phase)

Method addPhase

Parameters:
  `phase` -

#### getId

    public java.lang.String getId()

Method getId

#### getPhases

    public java.util.List getPhases()

Method getPhases

#### setId

    public void setId(java.lang.String id)

Method setId

Parameters:
  `id` -

#### setPhases

    public void setPhases(java.util.List phases)

Method setPhases

Parameters:
  `phases` -

#### getDefaultPhases

    public java.util.Map getDefaultPhases()